### Method

# Meta WorkspaceManager append_new_workspace

#### Declaration [src]

    MetaWorkspace*
    meta_workspace_manager_append_new_workspace (
      MetaWorkspaceManager* workspace_manager,
      gboolean activate,
      guint32 timestamp
    )

#### Description [src]

Append a new workspace to the workspace manager and (optionally) switch to that display.

#### Parameters

`activate`

  Type: `gboolean`

  `TRUE` if the workspace should be switched to after creation.

`timestamp`

  Type: `guint32`

  If switching to a new workspace, timestamp to be used when focusing a window on the new workspace. (Doesn’t hurt to pass a valid timestamp when available even if not switching workspaces.).

#### Return value

Type: `MetaWorkspace`

The newly appended workspace.

The returned data is owned by the instance.